#include "server_data_interact.h"

namespace iu9cawebchat {
    std::string when_page_list_rooms(WorkerGuestData& wgd, const json::JSON& config_presentation,
            const een9::ClientRequest& req, const std::vector<LoginCookie>& login_cookies, const json::JSON& userinfo) {
        if (userinfo.isNull()) {
            printf("Somebody entered /list-room with %s without being logged in\n", req.method.c_str());
            if (!login_cookies.empty()) {
                printf("Login cookies: \n");
                for (auto& c: login_cookies) {
                    printf("%s  as %s\n", c.nickname.c_str(), c.password.c_str());
                }
            }
            return een9::form_http_server_response_307("/login");
        }
        return RTEE("list-rooms", config_presentation, wgd, userinfo);
    }
}
